##### basic_socket_acceptor::basic_socket_acceptor (1 of 6 overloads)

Construct an acceptor without opening it.

    basic_socket_acceptor(
        asio::io_context & io_context);

This constructor creates an acceptor without opening it to listen for new connections. The `open()` function must be called before the acceptor can accept new socket connections.

###### Parameters

io_context

  The `io_context` object that the acceptor will use to dispatch handlers for any asynchronous operations performed on the acceptor.